//Mixin Flex

@mixin flex(
  $align: center,
  $justify: center,
  $text-align: center,
  $direction: row
) {
  display: flex;
  flex-direction: $direction;
  align-items: $align;
  justify-content: $justify;
  text-align: $text-align;
}

// Mixin Title

@mixin title($color: $primary-color, $font-f: $font-secondary, $font-w: 400) {
  color: $color;
  font-family: $font-f;
  font-weight: $font-w;
}

// Mixin Text Overflow

@mixin text-overflow(
  $overflow: hidden,
  $webkit-l-c: 1,
  $webkit-b-o: vertical,
  $display-w: -webkit-box
) {
  overflow: $overflow;
  -webkit-line-clamp: $webkit-l-c;
  -webkit-box-orient: $webkit-b-o;
  display: $display-w;
}

// Mixin Text Overflow

@mixin border-radius(
  $padding: 15px 20px,
  $border: 3px solid $primary-color,
  $border-r: 15px
) {
  padding: $padding;
  border: $border;
  border-radius: $border-r;
}
